# Uses of Interface
org.mariadb.jdbc.internal.util.scheduler.SchedulerServiceProviderHolder.SchedulerProvider

Packages that use SchedulerServiceProviderHolder.SchedulerProvider
Package
Description
org.mariadb.jdbc.internal.util.scheduler

## Uses of SchedulerServiceProviderHolder.SchedulerProvider in org.mariadb.jdbc.internal.util.scheduler

Fields in org.mariadb.jdbc.internal.util.scheduler declared as SchedulerServiceProviderHolder.SchedulerProvider
Modifier and Type
Field
Description
`static final SchedulerServiceProviderHolder.SchedulerProvider`
SchedulerServiceProviderHolder.`DEFAULT_PROVIDER`
The default provider will construct a new pool on every request.
Methods in org.mariadb.jdbc.internal.util.scheduler that return SchedulerServiceProviderHolder.SchedulerProvider
Modifier and Type
Method
Description
`static SchedulerServiceProviderHolder.SchedulerProvider`
SchedulerServiceProviderHolder.`getSchedulerProvider()`
Get the currently set `SchedulerServiceProviderHolder.SchedulerProvider` from set invocations via `SchedulerServiceProviderHolder.setSchedulerProvider(SchedulerProvider)`.
Methods in org.mariadb.jdbc.internal.util.scheduler with parameters of type SchedulerServiceProviderHolder.SchedulerProvider
Modifier and Type
Method
Description
`static void`
SchedulerServiceProviderHolder.`setSchedulerProvider(SchedulerServiceProviderHolder.SchedulerProvider newProvider)`
Change the current set scheduler provider.